org.eclipse.emf.cdo.server

## Interface ILockingManager

- All Superinterfaces:
    IDurableLockingManager
  All Known Subinterfaces:
    InternalLockManager

      public interface ILockingManager
      extends IDurableLockingManager

  Manages all persistent aspects of durable CDO views and provides for vetoable `interception` of the durable view resumption process.
  Since:
    4.1
  Author:
    Caspar De Groot

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ILockingManager.DurableViewHandler` A call-back interface primarily intended to allow implementers to prevent the view from being opened by throwing an exception.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `IDurableLockingManager.LockArea, IDurableLockingManager.LockAreaAlreadyExistsException, IDurableLockingManager.LockAreaNotFoundException, IDurableLockingManager.LockGrade`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDurableViewHandler(ILockingManager.DurableViewHandler handler)`
    `ILockingManager.DurableViewHandler[]` | `getDurableViewHandlers()`
    `void` | `removeDurableViewHandler(ILockingManager.DurableViewHandler handler)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `createLockArea, deleteLockArea, getLockArea, getLockAreas`

- - ### Method Detail

    - #### addDurableViewHandler

          void addDurableViewHandler(ILockingManager.DurableViewHandler handler)

    - #### removeDurableViewHandler

          void removeDurableViewHandler(ILockingManager.DurableViewHandler handler)

    - #### getDurableViewHandlers

          ILockingManager.DurableViewHandler[] getDurableViewHandlers()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html